Bug 170794 - [PATCH] dns/nsd: fix MAXIPS ports option
Summary: [PATCH] dns/nsd: fix MAXIPS ports option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tom Judge
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-20 22:00 UTC by Artis Caune
Modified: 2012-08-23 13:30 UTC (History)
0 users

See Also:


Attachments
file.diff (277 bytes, patch)
2012-08-20 22:00 UTC, Artis Caune
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Artis Caune 2012-08-20 22:00:31 UTC
MAXIPS is ignored because of typo in Makefile

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-08-20 22:01:13 UTC
Maintainer of dns/nsd,

Please note that PR ports/170794 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170794

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-08-20 22:01:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Tom Judge freebsd_committer 2012-08-21 02:54:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tj

I'll take it.
Comment 4 Jaap Akkerhuis 2012-08-21 09:16:12 UTC
    > Maintainer of dns/nsd,
    
    > Please note that PR ports/170794 has just been submitted.
    
    > If it contains a patch for an upgrade, an enhancement or a bug fix
    > you agree on, reply to this email stating that you approve the patch
    > and a committer will take care of it.
    
Yes, I agree that this is a typo and therefore approve of the proposed
change.  Thanks for spotting this!

	jaap
Comment 5 dfilter service freebsd_committer 2012-08-23 13:27:41 UTC
Author: tj
Date: Thu Aug 23 12:27:28 2012
New Revision: 303007
URL: http://svn.freebsd.org/changeset/ports/303007

Log:
  Fix typo in options handling.
  
  PR:		ports/170794
  Submitted by:	Artis Caune <Artis.Caune@gmail.com>
  Approved by:	Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer)
  Approved by:	eadler (mentor)

Modified:
  head/dns/nsd/Makefile

Modified: head/dns/nsd/Makefile
==============================================================================
--- head/dns/nsd/Makefile	Thu Aug 23 12:17:19 2012	(r303006)
+++ head/dns/nsd/Makefile	Thu Aug 23 12:27:28 2012	(r303007)
@@ -109,7 +109,7 @@ CONFIGURE_ARGS+=	--disable-full-prehash
 CONFIGURE_ARGS+=	--enable-mmap
 .endif
 
-.if ${PORT_OPTIONS:MMAXIPS)
+.if ${PORT_OPTIONS:MMAXIPS}
 CONFIGURE_ARGS+=	--with-max-ips=${NSDMAX_IPS}
 .endif
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Tom Judge freebsd_committer 2012-08-23 13:28:31 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!